## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XStringCached Class Reference

`#include <XStringCached.hpp>`

Inheritance diagram for XStringCached:

[legend]
Collaboration diagram for XStringCached:

[legend]
List of all members.

## Public Types

- typedef XStringBase ParentType
- typedef XPathExecutionContext::GetAndReleaseCachedString GetAndReleaseCachedString

## Public Methods

- XStringCached (GetAndReleaseCachedString &val, MemoryManagerType &theManager)
    Create a string XObject from a cached string. More...
- XStringCached (const XStringCached &source, MemoryManagerType &theManager)
- virtual ~XStringCached ()
- virtual const XalanDOMString& str () const
    Cast result object to a string. More...
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance. More...
- virtual double stringLength () const
    Get the length of the string value of the instance.. More...

## Protected Methods

- virtual eObjectType getRealType () const
    Tell what kind of class this is. More...

## Member Typedef Documentation

typedef XPathExecutionContext::GetAndReleaseCachedString XStringCached::GetAndReleaseCachedString

typedef XStringBase XStringCached::ParentType

| Reimplemented from XStringBase.

## Constructor & Destructor Documentation

XStringCached::XStringCached ( | GetAndReleaseCachedString & val,
| MemoryManagerType & theManager )

  | Create a string XObject from a cached string. Parameters:
  theValue | value used to create object

XStringCached::XStringCached ( | const XStringCached & source,
| MemoryManagerType & theManager )

XStringCached::~XStringCached ( | )`[virtual]`

## Member Function Documentation

eObjectType XStringCached::getRealType ( | ) const`[protected, virtual]`

| Tell what kind of class this is. Returns: numeric type value Reimplemented from XObject.

void XStringCached::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Reimplemented from XStringBase.

const XalanDOMString & XStringCached::str ( | ) const`[virtual]`

| Cast result object to a string. Returns: string value Reimplemented from XStringBase.

double XStringCached::stringLength ( | ) const`[virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Reimplemented from XStringBase.

The documentation for this class was generated from the following file:

- XStringCached.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.